<?php
/**
 * Random image with light box
 *
 * @package 	Random image with light box
 * @subpackage 	Random image with light box
 * @version   	3.3
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/09/random-image-display-with-light-box-joomla-module/
 * 
 */

// no direct access
defined('_JEXEC') or die;

class modRandomImageWithLightBox
{
	public static function loadScripts(&$params)
	{
		$doc = JFactory::getDocument();
		$doc->addStyleSheet(JURI::Root(true).'/modules/mod_random_image_with_light_box/js/lightbox.css','','screen');
		$doc->addScript(JURI::Root(true).'/modules/mod_random_image_with_light_box/js/prototype.js');
		$doc->addScript(JURI::Root(true).'/modules/mod_random_image_with_light_box/js/scriptaculous.js?load=effects,builder');
		$doc->addScript(JURI::Root(true).'/modules/mod_random_image_with_light_box/js/lightbox.js');
	}
	
	public static function getImages(&$params, $folder)
	{
		$type1 = "JPG";
		$type2 = "PNG";
		$type3 = "GIF";
		$type4 = "JPEG";

		$files	= array();
		$images	= array();

		if (substr(JPATH_BASE, -1) == '\\')
		{
			$japth = JPATH_BASE;
		}
		else
		{
			$japth = JPATH_BASE . "\\";
		}

		$dir = $japth . $folder;
		$dir = str_replace('/', '\\', $dir); // Line 48
		//if your getting no directory error message. Please comment line 48 and uncomment line 50.
		//$dir = str_replace('\\', '/', $dir);  // Line 50

		// check if directory exists
		if (is_dir($dir))
		{
			if ($handle = opendir($dir)) {
				while (false !== ($file = readdir($handle))) 
				{
					if ($file != '.' && $file != '..' && $file != 'CVS' && $file != 'index.html') 
					{
						$files[] = $file;
					}
				}
			}
			closedir($handle);

			$i = 0;
			foreach ($files as $img)
			{
				if (!is_dir($dir . "\\". $img))
				{
					if (preg_match('/'.$type1.'/', strtoupper($img)) || preg_match('/'.$type2.'/', strtoupper($img)) || 
								preg_match('/'.$type3.'/', strtoupper($img)) || preg_match('/'.$type4.'/', strtoupper($img))) 
					{
						$images[$i] = new stdClass;
						$images[$i]->name	= $img;
						$images[$i]->folder	= $folder;
						$i++;
					}
				}
			}
		}
		else
		{
			echo JText::_('Folder not exist: ' . $dir . '<br><br>');
		}
		return $images;
	}

	public static function getFolder(&$params)
	{
		$folder	= $params->get('folder');
		$LiveSite	= JURI::base();

		// if folder includes livesite info, remove
		if (JString::strpos($folder, $LiveSite) === 0) {
			$folder = str_replace($LiveSite, '', $folder);
		}
		// if folder includes absolute path, remove
		if (JString::strpos($folder, JPATH_SITE) === 0) {
			$folder= str_replace(JPATH_BASE, '', $folder);
		}
		
		return $folder;
	}
}